<?php
	date_default_timezone_set('America/Los_Angeles');
	header("Content-Type: text/plain");
	http_response_code(200);
	include 'trendrss.php';
	
	$webrss = new WebRss(); 
	
	$keyword = urlencode($_GET['q']);
	
	$geoloca = !empty($_GET['geo'])	 ? $_GET['geo'] : "";
	$date	 = !empty($_GET['date']) ? urlencode($_GET['date']) : "today%205-y";
	if( empty($keyword) && urldecode($date) == "now 7-d"){
		$date = date("Y-m-d",strtotime("-7 days")) . "%20" . date("Y-m-d");
	}
	$categor = !empty($_GET['cat'])	 ? $_GET['cat'] : "0";
	$propert = !empty($_GET['prop']) ? $_GET['prop'] : "";
	
	$url = 'https://trends.google.com:443/trends/embed/explore/RELATED_QUERIES?';
	$url .= "req=%7B%22comparisonItem%22%3A%5B%7B%22keyword%22%3A%22{$keyword}%22%2C%22geo%22%3A%22{$geoloca}%22%2C%22";
	$url .= "time%22%3A%22{$date}%22%7D%5D%2C%22category%22%3A{$categor}%2C%22";
	$url .= "property%22%3A%22{$propert}%22%7D&tz=-480&eq=date%3D{$date}%26q%3D{$keyword}";
	
	$url = str_replace("+","%20",$url);
	$firsthtml = $webrss->getPage($url);
	
	$firstResponse = $webrss->responseInfo;	
	
	if( $firstResponse['http_code'] != 200 ){
		
		try{
			$logHtml = "log/html/first_" . time() . ".txt";
			$logTxt = "log/log.txt";
			
			// save current returned html to be examined later
			$handler = fopen($logHtml,"w");
			fwrite($handler,$firsthtml);
			fclose($handler);
			
			// write log error in the log.txt file
			
			$txt = "\r\n======================================\r\n";
			$txt .= "Error in Token Process \r\n";
			$txt .= "Request Info : ". print_r($firstResponse,true) . "\r\n";
			$txt .= "File Saved in " . $logHtml;
			
			$handler = fopen($logTxt,"a");
			fwrite($handler,$txt);
			fclose($handler);
		}catch(Exception $e){
			
		}
		
	}
	
	$secondhtml = $webrss->getDataFromPage( $firsthtml );
	
	$secondResponse = $webrss->responseInfo;
	
	if( $secondResponse['http_code'] != 200 ){
		
		try{
			$logHtml = "log/html/second_" . time() . ".txt";
			$logTxt = "log/log.txt";
			
			// save current returned html to be examined later
			$handler = fopen($logHtml,"w");
			fwrite($handler,$secondhtml);
			fclose($handler);
			
			// write log error in the log.txt file
			
			$txt = "\r\n======================================\r\n";
			$txt .= "Error in Data Process \r\n";
			$txt .= "Request Info : ". print_r($secondResponse,true) . "\r\n";
			$txt .= "File Saved in " . $logHtml;
			
			$handler = fopen($logTxt,"a");
			fwrite($handler,$txt);
			fclose($handler);
		}catch(Exception $e){
			
		}
	}
	
	$keywords = $webrss->parse($secondhtml);	
	
	// CSV PROCESS COMMENTED
	//$webrss->prepareKeywordCsv();
	//$webrss->rewriteCSV();
	
	$webrss->output($keywords);
	die();
	
	