<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>TrendRSS&trade; Feed Creator</title>
    <script src="https://code.jquery.com/jquery-1.12.1.min.js"></script>
    <link href='https://fonts.googleapis.com/css?family=Lora:700italic' rel='stylesheet' type='text/css'>
    <style>
        * {
            font-family: Meiryo;
        }
        
        body {
            background: #3367d6;
        }
        
        div#content {
            width: 500px;
            margin: 0 auto;
        }
        
        div#content select {
            display: block;
            width: 450px;
            margin: 25px auto;
            padding: 5px;
        }
        
        div#content textarea.var6 {
            width: 440px;
            margin: 0 auto;
            display: block;
            resize: none;
            padding: 2px 0 2px 10px;
            height: 32px;
        }
        
        div#content textarea.js-copytextarea {
            width: 390px;
            resize: none;
            height: 45px;
        }
        
        div#content button {
            width: 50px;
            vertical-align: top;
            height: 51px;
        }
        
        div#content h1 {
            font-family: Lora;
            text-align: center;
            color: #FFFFFF;
        }
        
        .text-center {
            text-align: center;
        }
    </style>
</head>

<body>
    <div id="content">
        <h1>TrendRSS&trade; Feed Creator</h1>
        <textarea class="var6" placeholder="Enter a keyword" name="k"></textarea>
        <select class="selects" name="g">
            <option value="">Select Region</option>
            <option value="">Worldwide</option>
            <option value="US">United States</option>
            <option value="AF">Afghanistan</option>
            <option value="AX">Åland Islands</option>
            <option value="AL">Albania</option>
            <option value="DZ">Algeria</option>
            <option value="AS">American Samoa</option>
            <option value="AD">Andorra</option>
            <option value="AO">Angola</option>
            <option value="AI">Anguilla</option>
            <option value="AQ">Antartica</option>
            <option value="AG">Antigua & Barbuda</option>
            <option value="AR">Argentina</option>
            <option value="AM">Armenia</option>
            <option value="AW">Aruba</option>
            <option value="AU">Australia</option>
            <option value="AT">Austria</option>
            <option value="AZ">Azerbaijan</option>
            <option value="BS">Bahamas</option>
            <option value="BH">Bahrain</option>
            <option value="BD">Bangladesh</option>
            <option value="BB">Barbados</option>
            <option value="BY">Belarus</option>
            <option value="BE">Belgium</option>
            <option value="BZ">Belize</option>
            <option value="BJ">Benin</option>
            <option value="BM">Bermuda</option>
            <option value="BT">Bhutan</option>
            <option value="BO">Bolivia</option>
            <option value="BA">Bosnia & Herzegovina</option>
            <option value="BW">Botswana</option>
            <option value="BV">Bouvet Island</option>
            <option value="BR">Brazil</option>
            <option value="IO">British Indian Ocean Territory</option>
            <option value="VG">British Virgin Islands</option>
            <option value="BN">Brunei</option>
            <option value="BG">Bulgaria</option>
            <option value="BF">Burkina Faso</option>
            <option value="BI">Burundi</option>
            <option value="KH">Cambodia</option>
            <option value="CM">Cameroon</option>
            <option value="CA">Canada</option>
            <option value="CV">Cape Verde</option>
            <option value="BQ">Caribbean Netherlands</option>
            <option value="KY">Cayman Islands</option>
            <option value="CF">Central African Republic</option>
            <option value="TD">Chad</option>
            <option value="CL">Chile</option>
            <option value="CN">China</option>
            <option value="CX">Christmas Island</option>
            <option value="CC">Cocos (Keeling) Islands</option>
            <option value="CO">Colombia</option>
            <option value="KM">Comoros</option>
            <option value="CD">Congo (DRC)</option>
            <option value="CG">Congo (Republic)</option>
            <option value="CK">Cook Islands</option>
            <option value="CR">Costa Rica</option>
            <option value="CI">Côte d’Ivoire</option>
            <option value="HR">Croatia</option>
            <option value="CU">Cuba</option>
            <option value="CW">Curaçao</option>
            <option value="CY">Cyprus</option>
            <option value="CZ">Czech Republic</option>
            <option value="DK">Denmark</option>
            <option value="DJ">Djibouti</option>
            <option value="DM">Dominica</option>
            <option value="DO">Dominican Republic</option>
            <option value="EC">Ecuador</option>
            <option value="EG"> Egypt </option>
            <option value="SV">El Salvador</option>
            <option value="GQ">Equatorial Guinea</option>
            <option value="ER">Eritrea</option>
            <option value="EE">Estonia</option>
            <option value="ET">Ethiopia</option>
            <option value="FK">Falkland Islands (Islas Malvinas)</option>
            <option value="FO">Faroe Islands</option>
            <option value="FJ">Fiji</option>
            <option value="FI">Finland</option>
            <option value="FR">France</option>
            <option value="GF">French Guiana</option>
            <option value="PF">Frence Polynesia</option>
            <option value="TF">French Southern Territories</option>
            <option value="GA">Gabon</option>
            <option value="GM">Gambia</option>
            <option value="GE">Georgia</option>
            <option value="DE">Germany</option>
            <option value="GH">Ghana</option>
            <option value="GI">Gibraltar</option>
            <option value="GR">Greece</option>
            <option value="GL">Greenland</option>
            <option value="GD">Grenada</option>
            <option value="GP">Guadeloupe</option>
            <option value="GU">Guam</option>
            <option value="GT">Guatemala</option>
            <option value="GG">Guernsey</option>
            <option value="GN">Guinea</option>
            <option value="GW">Guinea-Bissau</option>
            <option value="GY">Guyana</option>
            <option value="HT">Haiti</option>
            <option value="HM">Heard & McDonald Islands</option>
            <option value="HN">Honduras</option>
            <option value="HK">Hongkong</option>
            <option value="HU">Hungary</option>
            <option value="IS">Iceland</option>
            <option value="IN">India</option>
            <option value="ID">Indonesia</option>
            <option value="IR">Iran</option>
            <option value="IQ">Iraq</option>
            <option value="IE">Ireland</option>
            <option value="IM">Isle of Man</option>
            <option value="IL">Israel</option>
            <option value="IT">Italy</option>
            <option value="JM">Jamaica</option>
            <option value="JP">Japan</option>
            <option value="JE">Jersey</option>
            <option value="JO">Jordan</option>
            <option value="KZ">Kazakhstan</option>
            <option value="KE">Kenya</option>
            <option value="KI">Kiribati</option>
            <option value="XK">Kosovo</option>
            <option value="KW">Kuwait</option>
            <option value="KG">Kyrgyzstan</option>
            <option value="LA">Laos</option>
            <option value="LV">Latvia</option>
            <option value="LB">Lebanon</option>
            <option value="LS">Lesotho</option>
            <option value="LR">Liberia</option>
            <option value="LY">Libya</option>
            <option value="LI">Liechtenstein</option>
            <option value="LT">Lithuania</option>
            <option value="LU">Luxembourg</option>
            <option value="MO">Macau</option>
            <option value="MK">Macedonia (FYROM)</option>
            <option value="MG">Madagascar</option>
            <option value="MW">Malawi</option>
            <option value="MY">Malaysia</option>
            <option value="MV">Maldives</option>
            <option value="ML">Mali</option>
            <option value="MT">Malta</option>
            <option value="MH">Marshall Islands</option>
            <option value="MQ">Martinique</option>
            <option value="MR">Mauritania</option>
            <option value="MU">Mauritius</option>
            <option value="YT">Mayotte</option>
            <option value="MX">Mexico</option>
            <option value="FM">Micronesia</option>
            <option value="MD">Moldova</option>
            <option value="MC">Monaco</option>
            <option value="MN">Mongolia</option>
            <option value="ME">Montenegro</option>
            <option value="MS">Montserrat</option>
            <option value="MA">Morocco</option>
            <option value="MZ">Mozambique</option>
            <option value="MM">Myanmar (Burma)</option>
            <option value="NA">Namibia</option>
            <option value="NR">Nauru</option>
            <option value="NP">Nepal</option>
            <option value="NL">Netherlands</option>
            <option value="NC">New Caledonia</option>
            <option value="NZ">New Zealand</option>
            <option value="NI">Nicaragua</option>
            <option value="NE">Niger</option>
            <option value="NG">Nigeria</option>
            <option value="NU">Niue</option>
            <option value="NF">Norfolk Island</option>
            <option value="KP">North Korea</option>
            <option value="MP">Northern Mariana Islands</option>
            <option value="NO">Norway</option>
            <option value="OM">Oman</option>
            <option value="PK">Pakistan</option>
            <option value="PW">Palau</option>
            <option value="PS">Palestine</option>
            <option value="PA">Panama</option>
            <option value="PG">Papua New Guinea</option>
            <option value="PY">Paraguay</option>
            <option value="PE">Peru</option>
            <option value="PH">Philippines</option>
            <option value="PN">Pitcairn Islands</option>
            <option value="PL">Poland</option>
            <option value="PT">Portugal</option>
            <option value="PR">Puerto Rico</option>
            <option value="QA">Qatar</option>
            <option value="RE">Réunion</option>
            <option value="RO">Romania</option>
            <option value="RU">Russia</option>
            <option value="RW">Rwanda</option>
            <option value="WS">Samoa</option>
            <option value="SM">San Marino</option>
            <option value="ST">São Tomé & Príncipe</option>
            <option value="SA">Saudi Arabia</option>
            <option value="SN">Senegal</option>
            <option value="RS">Serbia</option>
            <option value="SC">Seychelles</option>
            <option value="SL">Sierra Leone</option>
            <option value="SG">Singapore</option>
            <option value="SX">Sint Maarten</option>
            <option value="SK">SLovakia</option>
            <option value="SI">Slovenia</option>
            <option value="SB">Solomon Islands</option>
            <option value="SO">Somalia</option>
            <option value="ZA">South Africa</option>
            <option value="GS">South Georgia & South Sandwich Islands</option>
            <option value="KR">South Korea</option>
            <option value="SS">South Sudan</option>
            <option value="ES">Spain</option>
            <option value="LK">Sri Lanka</option>
            <option value="BL">St. Barthélemy</option>
            <option value="SH">St. Helena</option>
            <option value="KN">St. Kitts & Nevis</option>
            <option value="LC">St. Lucia</option>
            <option value="MF">St. Martin</option>
            <option value="PM">St. Pierre & Miquelon</option>
            <option value="VC">St. Vincent & Grenadines</option>
            <option value="SD">Sudan</option>
            <option value="SR">Suriname</option>
            <option value="SJ">Svalbard & Jan Mayen</option>
            <option value="SZ">Swaziland</option>
            <option value="SE">Sweden</option>
            <option value="CH">Switzerland</option>
            <option value="SY">Syria</option>
            <option value="TW">Taiwan</option>
            <option value="TJ">Tajikistan</option>
            <option value="TZ">Tanzania</option>
            <option value="TH">Thailand</option>
            <option value="TL">Timor-Leste</option>
            <option value="TG">Togo</option>
            <option value="TK">Tokelau</option>
            <option value="TO">Tonga</option>
            <option value="TT">Trinidad & Tobago</option>
            <option value="TN">Tunisia</option>
            <option value="TR">Turkey</option>
            <option value="TM">Turkmenistan</option>
            <option value="TC">Turks & Caicos Islands</option>
            <option value="TV">Tuvalu</option>
            <option value="UM">U.S. Outlying Islands</option>
            <option value="VI">U.S. Virgin Islands</option>
            <option value="UG">Uganda</option>
            <option value="UA">Ukraine</option>
            <option value="AE">United Arab Emirates</option>
            <option value="GB">United Kingdom</option>
            <option value="US">United States</option>
            <option value="UY">Uruguay</option>
            <option value="UZ">Uzbekistan</option>
            <option value="VU">Vanuatu</option>
            <option value="VA">Vativan City</option>
            <option value="VE">Venezuela</option>
            <option value="VN">Vietnam</option>
            <option value="WF">Wallis & Futuna</option>
            <option value="EH">Western Sahara</option>
            <option value="YE">Yemen</option>
            <option value="ZM">Zambia</option>
            <option value="ZW">Zimbabwe</option>
        </select>
        <select class="selects" name="c">
            <option value="0">Select Category</option>
            <option value="0">All Categories</option>
            <option value="3">Arts & Entertainment</option>
            <option value="47">Autos & Vehicles</option>
            <option value="44">Beauty & Fitness</option>
            <option value="22">Books & Literature</option>
            <option value="12">Business & Industrial</option>
            <option value="5">Computers & Electronics</option>
            <option value="7">Finance</option>
            <option value="71">Food & Drink</option>
            <option value="8">Games</option>
            <option value="4">Health</option>
            <option value="65">Hobbies & Leisure</option>
            <option value="11">Home & Garden</option>
            <option value="13">Internet & Telecom</option>
            <option value="95">Jobs & Education</option>
            <option value="19">Law & Government</option>
            <option value="16">News</option>
            <option value="299">Online Communities</option>
            <option value="14">People & Society</option>
            <option value="66">Pets & Animals</option>
            <option value="29">Real Estate</option>
            <option value="533">Reference</option>
            <option value="174">Science</option>
            <option value="18">Shopping</option>
            <option value="20">Sports</option>
            <option value="67">Travel</option>
        </select>
        <select class="selects" name="d">
            <option value="today 5-y">Select Time Range</option>
            <option value="today 5-y">All Time</option>
            <option value="today 12-m">Past 12 Months</option>
            <option value="today 3-m">Past 90 Days</option>
            <option value="today 1-m">Past 30 Days</option>
            <option value="now 7-d">Past 7 Days</option>
            <option value="now 1-d">Past Day</option>
            <option value="now 4-H">Past 4 Hours</option>
            <option value="now 1-H">Past Hour</option>
        </select>
        <select class="selects" name="p">
            <option value="">Select User Search Type</option>
            <option value="">Web Search</option>
            <option value="images">Image Search</option>
            <option value="news">News Search</option>
            <option value="froogle">Google Shopping</option>
            <option value="youtube">Youtube Search</option>
        </select>
        <div class="text-center">
            <textarea class="js-copytextarea"></textarea>
            <button class="js-textareacopybtn">Copy</button>
        </div>
    </div>
    <script type="text/javascript">		
	
        var mydomainfile = '<?=$_SERVER['REQUEST_SCHEME'] . "://" . $_SERVER['SERVER_NAME'] . dirname($_SERVER['PHP_SELF']) . "/rss.php?";?>';
        var copyTextareaBtn = document.querySelector('.js-textareacopybtn');
        copyTextareaBtn.addEventListener('click', function(event) {
			var k = $('textarea[name="k"]').val();
			var d = $('select[name="d"]').val();
			var dtext = $('select[name="d"]>option:selected').text();
			if( k == "" && ( d == 'now 1-d' || d == 'now 4-H' || d == 'now 1-H') ){
			
				alert("Google Trends now requires a keyword to be supplied for the time range selected ("+dtext+"). Please enter a keyword and then click Copy again");		
				
			}else{
			
				var copyTextarea = document.querySelector('.js-copytextarea');
				copyTextarea.select();
				try {
					var successful = document.execCommand('copy');
					var msg = successful ? 'successful' : 'unsuccessful';
					console.log('Copying text command was ' + msg);
				} catch (err) {
					console.log('Oops, unable to copy');
				}
				
			}			
            
        });
        $(document).ready(function() {
            $('textarea.js-copytextarea').val(mydomainfile);
            $('select.selects').on('change', function() {
                concatUrl();
            });
            $('textarea.var6').on('keyup', function() {
                concatUrl();
            });
			concatUrl();
        });

        function concatUrl() {
            var c = $('select[name="c"]').val();
            var g = $('select[name="g"]').val();
            var d = $('select[name="d"]').val();
            var p = $('select[name="p"]').val();
            var k = $('textarea[name="k"]').val();
            $('textarea.js-copytextarea').val(mydomainfile + gu(c, g, d, p, k));
        }

        function gu(c, g, d, p, k) {
            c = encodeURIComponent(c);
            g = encodeURIComponent(g);
            d = encodeURIComponent(d);
            p = encodeURIComponent(p);
            k = encodeURIComponent(k);
            var url = "q=" + k + "&geo=" + g + "&date=" + d +"&prop=" + p + "&cat=" + c
            return url;
        }
    </script>
</body>

</html>